Skip to content

Add subscriptions for user (individual notification types only) Note: This endpoint only handles individual notification types (those requiring an item_identifier). For general notification types, use the preferences endpoints which auto-manage subscriptions.

POST
/v1/notifications/subscriptions

When subscribing to an individual item, the system will automatically add a Platform preference if you have no channel preferences configured for that notification type.

Array<object>

Payload for subscribing to individual items This is separate from SubscriptionPayload to enforce that item_identifier is required

object
item_identifier
required

The identifier of the specific item (e.g., “RSK-123”, “INC-456”)

string
notification_type
required
string
Allowed values: AssignedRisk RiskChanged NewRiskComment NewLowRisk NewMediumRisk NewHighRisk NewCriticalRisk IncChanged NewSev1Inc NewSev2Inc NewSev3Inc NewFraudInc NewExtortionInc NewSabotageInc NewDataDisclosureInc NewCustomerTargetingInc NewResourceHijackingInc NewIncComment AssignedInc DowngradedInc InvitedToOrg RisksCreated IncidentsCreated

Successfully added subscription

Invalid request - notification types that are not for specific risks or incidents must use preferences endpoints

Could not add subscription